Export (0) Print
Expand All

Minimum Software Requirements

Every MOM component requires a supported operating system. For a list of the supported operating systems for each component, see the Supported Operating Systems section earlier in this data sheet.

This section outlines the minimum software requirements that you must have for each MOM component beyond the operating system. If you want to install more than one MOM component on the same computer, you must install the prerequisite software for all the combined MOM components.

Important

    Verify that all appropriate security updates, hotfixes, and service packs have been applied to the operating system and to applications that are required for deploying MOM components. You can do by visiting the Windows Update website at http://go.microsoft.com/fwlink/?LinkId=1623.

In addition to a supported operating system, you must have the following software:

To Use the MOM 2005 SP1 Management Server, You Must Have:

  • Microsoft Data Access Components (MDAC) version 2.8.1022.0 or later

  • Microsoft .NET Framework version 1.1

To Use the MOM 2005 SP1 Database, You Must Have:

  • Microsoft SQL Server 2000 Standard or Enterprise Edition with Service Pack 3.0a or later

SQL Server cluster

You can install the MOM 2005 SP1 database on a SQL Server cluster in Active/Passive mode or in Active/Active mode.

Note

    Installation on an Active / Active cluster requires using the MOMCreateDB.exe tool which is available in the Support Tools directory on the MOM 2005 SP1 CD.

Installing multiple MOM Databases

You can install more than one MOM Database on one computer. The computer can be in a cluster or not. Each database must be on a different SQL Server instance and have different data and log file locations. To install more than one MOM Database on one computer you must use the MOMCreateDB.exe tool, which is available in the Support Tools directory on the MOM 2005 SP1 CD. While installing more than one MOM Database one a single computer is available, this practice in not recommended.

To Use the MOM 2005 SP1 Administrator Console and Operator Console, You Must Have:

  • Microsoft .NET Framework version 1.1

  • One of the following browsers:

    • Microsoft Internet Explorer 6 with Service Pack 1

    • Microsoft Internet Explorer 5.5 with Service Pack 2

    • Netscape 4.78 or later

To Use MOM 2005 SP1 Reporting, You Must Have:

  • SQL Server 2000 Standard or Enterprise Edition with Service Pack 3.0a or later

  • SQL Server 2000 Reporting Services SP1

    Note

    SQL Server 2000 Reporting Services requires the WMI Windows Installer Provider and ASP.NET. If you are installing MOM Reporting on a computer that is running Windows Server 2003, you must manually install the WMI Windows Installer Provider and ASP.NET Windows components.

    For more information about SQL Server 2000 Reporting Services requirements, see its product documentation.

  • A browser that can render reports in HTML 3.2 and HTML 4.0.

  • Microsoft Visual Studio .NET 2003, or Integrated Developer Environment 2003 (if you want to customize or create reports)

To Use the MOM 2005 SP1 Agent, You Must Have:

To install the MOM Agent, there are no additional software requirements beyond a supported operating system. However, if you import any Management Packs that have Managed Code Responses, you must install the Microsoft .NET Framework version 1.1.

SQL Server Cluster

You can install the MOM 2005 SP1 agent on a SQL Server cluster. The agent must be installed on all physical nodes of the cluster.

To Use the MOM 2005 SP1 Connector Framework (MCF), You Must Have:

  • A supported operating system for the Management Server on which you install the MCF

  • Microsoft .NET Framework version 1.1

  • Microsoft ASP.NET Windows component

Was this page helpful?
(1500 characters remaining)
Thank you for your feedback
Show:
© 2014 Microsoft